summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-plugins')
-rw-r--r--www-plugins/adobe-flash/Manifest4
-rw-r--r--www-plugins/adobe-flash/adobe-flash-32.0.0.433.ebuild141
2 files changed, 145 insertions, 0 deletions
diff --git a/www-plugins/adobe-flash/Manifest b/www-plugins/adobe-flash/Manifest
index 86e392f9551..08fb1663427 100644
--- a/www-plugins/adobe-flash/Manifest
+++ b/www-plugins/adobe-flash/Manifest
@@ -2,3 +2,7 @@ DIST adobe-flash-32.0.0.414-npapi.i386.tar.gz 8545788 BLAKE2B 28cb7fa1bcb4823462
DIST adobe-flash-32.0.0.414-npapi.x86_64.tar.gz 9065354 BLAKE2B 25e2a6a90a331a24b449211707f71001e966059c5a67d5adb0748876faaea76324723f38dea5fe8931b382fcd6aa8819dbe392e558f36b403c215da8ed183a63 SHA512 7ad5703d0aace204f54613304e36eafe9ebc40e6e18be4e8aecbdb828fc4170aa58650723ea62bdbbbac6b712dd86cfa9ebec15bc9110baa18a1cf567d161995
DIST adobe-flash-32.0.0.414-ppapi.i386.tar.gz 8832512 BLAKE2B d84ce37c8c39af8784275bd77038f6dd3dcc0e65949a91bad86c501eab147e3142ad1b2a2fae323554eb101f2309d2b36a424cff96ee214d8f1d85223de804dc SHA512 d2327bd78e5a0305dab1ea4a0ed8de67355944f25621167d111074e46231486c818c0e6777fc158372393632f51e0ef8e7651c258c47961c3826fb5a755d4d1a
DIST adobe-flash-32.0.0.414-ppapi.x86_64.tar.gz 9764002 BLAKE2B 444d7a0806c2d0cf3904c5fa4473610cab8f974ff259d2b63c625a1467590c4da3883e24c537cfed195b1e062f36aa331aa1a8ac23106c82812a575f81542b6c SHA512 9938797c88c9380eadb6c16fc4714c226f29702dce470c9c5ab49b33621c20dbf877094a452af6f33c3917a2e82847b454b623bb75aa95087aaeb6f611240bbd
+DIST adobe-flash-32.0.0.433-npapi.i386.tar.gz 8546752 BLAKE2B cd1426ebee07aa4bc81f54214e16481067458cbfc30ad6ecc1e64444692848ad66694f0d3969c8e7b57b6530a1f01ea5f0aaaa19d0b478d7d825e298dd00d27e SHA512 f972a03eeb421772f9da40fac39abe7659e19db9f087b6c66f4f550f7d0b7cc54be52b2d2d54777cbbb2cef4b170dbcf8a189baa7f14dedf0ca690c78d5f8587
+DIST adobe-flash-32.0.0.433-npapi.x86_64.tar.gz 9065643 BLAKE2B bff399e80686511b51fe3da1bff2cf9e7182f116d729da641aa3c82b888745ae7730a598ea572c7f0ebbb703fb79940359c9d3e256142b3a6c8d230c07a80b66 SHA512 536b23a664365ace908372a2dabe393cce4779ad76efe588ebbeafbd80e83cc96f4850033f9e1d530bfdf4c4330e9cfe5cd315a5547febc6ba9b5df97ddad03f
+DIST adobe-flash-32.0.0.433-ppapi.i386.tar.gz 8833417 BLAKE2B b02c3c34817eb63398a3ca92607abae5efe0c89382f69c67db7c0b70c59c0495cac93687320399b897642002df3bec4d670327948de9385423991f70ae216b9a SHA512 5111ec3e652748f6d1ef4a0419d33468e11b73b6ebf71c55b3f1396a98467e6e70224c485f83ef328601126171c60cf315c8d5a082dbaea1b67aaf0d7bd86744
+DIST adobe-flash-32.0.0.433-ppapi.x86_64.tar.gz 9764004 BLAKE2B ea25d9a1130b8a0929764e99ffeaf2fe02c51d1233370ef9044bd4c29b3d5267ca1f7c21f562ede6074b0746ead80d2e7ca000cb818f407402ede2921508f118 SHA512 106347f55d57ba63934b8c6cb91fa22b52e538e7e1776e57d31f58d31ef6972f42f08833ef9cd518eeabe7f2cdb71c4b4351ecb11bd3e2bdc9bcd11374e53b3e
diff --git a/www-plugins/adobe-flash/adobe-flash-32.0.0.433.ebuild b/www-plugins/adobe-flash/adobe-flash-32.0.0.433.ebuild
new file mode 100644
index 00000000000..4bed41bad55
--- /dev/null
+++ b/www-plugins/adobe-flash/adobe-flash-32.0.0.433.ebuild
@@ -0,0 +1,141 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit xdg-utils nsplugins multilib multilib-minimal
+
+DESCRIPTION="Adobe Flash Player"
+HOMEPAGE="
+ https://www.adobe.com/products/flashplayer.html
+ https://get.adobe.com/flashplayer/
+ https://helpx.adobe.com/security/products/flash-player.html
+"
+
+AF_URI="https://fpdownload.adobe.com/pub/flashplayer/pdc/${PV}"
+AF_NP_32_URI="${AF_URI}/flash_player_npapi_linux.i386.tar.gz -> ${P}-npapi.i386.tar.gz"
+AF_NP_64_URI="${AF_URI}/flash_player_npapi_linux.x86_64.tar.gz -> ${P}-npapi.x86_64.tar.gz"
+AF_PP_32_URI="${AF_URI}/flash_player_ppapi_linux.i386.tar.gz -> ${P}-ppapi.i386.tar.gz"
+AF_PP_64_URI="${AF_URI}/flash_player_ppapi_linux.x86_64.tar.gz -> ${P}-ppapi.x86_64.tar.gz"
+
+IUSE="+nsplugin +ppapi"
+REQUIRED_USE="
+ || ( nsplugin ppapi )
+"
+
+SRC_URI="
+ nsplugin? (
+ abi_x86_32? ( ${AF_NP_32_URI} )
+ abi_x86_64? ( ${AF_NP_64_URI} )
+ )
+ ppapi? (
+ abi_x86_32? ( ${AF_PP_32_URI} )
+ abi_x86_64? ( ${AF_PP_64_URI} )
+ )
+"
+SLOT="22"
+
+KEYWORDS="-* ~amd64 ~x86"
+LICENSE="AdobeFlash-11.x"
+RESTRICT="bindist mirror strip"
+
+NPAPI_RDEPEND="
+ dev-libs/atk[${MULTILIB_USEDEP}]
+ dev-libs/glib:2[${MULTILIB_USEDEP}]
+ dev-libs/nspr[${MULTILIB_USEDEP}]
+ dev-libs/nss[${MULTILIB_USEDEP}]
+ media-libs/fontconfig[${MULTILIB_USEDEP}]
+ media-libs/freetype[${MULTILIB_USEDEP}]
+ >=sys-libs/glibc-2.4
+ x11-libs/cairo[${MULTILIB_USEDEP}]
+ x11-libs/gdk-pixbuf[${MULTILIB_USEDEP}]
+ x11-libs/gtk+:2[${MULTILIB_USEDEP}]
+ x11-libs/libX11[${MULTILIB_USEDEP}]
+ x11-libs/libXcursor[${MULTILIB_USEDEP}]
+ x11-libs/libXext[${MULTILIB_USEDEP}]
+ x11-libs/libXrender[${MULTILIB_USEDEP}]
+ x11-libs/libXt[${MULTILIB_USEDEP}]
+ x11-libs/pango[${MULTILIB_USEDEP}]
+"
+RDEPEND="
+ !www-plugins/chrome-binary-plugins[flash(-)]
+ nsplugin? (
+ ${NPAPI_RDEPEND}
+ !www-plugins/adobe-flash:0
+ )
+"
+
+S="${WORKDIR}"
+
+# Ignore QA warnings in these closed-source binaries, since we can't fix them:
+QA_PREBUILT="usr/*"
+
+src_unpack() {
+ local files=( ${A} )
+
+ multilib_src_unpack() {
+ mkdir -p "${BUILD_DIR}" || die
+ cd "${BUILD_DIR}" || die
+
+ # we need to filter out the other archive(s)
+ local other_abi
+ [[ ${ABI} == amd64 ]] && other_abi=i386 || other_abi=x86_64
+ unpack ${files[@]//*${other_abi}*/}
+ }
+
+ multilib_parallel_foreach_abi multilib_src_unpack
+}
+
+multilib_src_install() {
+ local pkglibdir=lib
+ [[ -d usr/lib64 ]] && pkglibdir=lib64
+
+ if use nsplugin; then
+ # PLUGINS_DIR comes from nsplugins.eclass
+ exeinto /usr/$(get_libdir)/${PLUGINS_DIR}
+ doexe libflashplayer.so
+
+ if multilib_is_native_abi; then
+ # No KDE applet, so allow the GTK utility to show up in KDE:
+ sed \
+ -i usr/share/applications/flash-player-properties.desktop \
+ -e "/^NotShowIn=KDE;/d" || die
+
+ # The userland 'flash-player-properties' standalone app:
+ dobin usr/bin/flash-player-properties
+
+ # Icon and .desktop for 'flash-player-properties'
+ insinto /usr/share
+ doins -r usr/share/{icons,applications}
+ dosym ../icons/hicolor/48x48/apps/flash-player-properties.png \
+ /usr/share/pixmaps/flash-player-properties.png
+ fi
+
+ # The magic config file!
+ insinto "/etc/adobe"
+ doins "${FILESDIR}/mms.cfg"
+ fi
+
+ if use ppapi; then
+ exeinto /usr/$(get_libdir)/chromium/PepperFlash
+ doexe libpepflashplayer.so
+ insinto /usr/$(get_libdir)/chromium/PepperFlash
+ doins manifest.json
+
+ if multilib_is_native_abi; then
+ dodir /etc/chromium
+ sed "${FILESDIR}"/pepper-flash-r1 \
+ -e "s|@FP_LIBDIR@|$(get_libdir)|g" \
+ -e "s|@FP_PV@|${PV}|g" \
+ > "${D}"/etc/chromium/pepper-flash \
+ || die
+ fi
+ fi
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}